# classes/phing/tasks/ext/phpunit/FormatterElement.php

## \FormatterElement
jump to top

A wrapper for the implementations of PHPUnit2ResultFormatter.

author
  Michiel Rook
package
  phing.tasks.ext.phpunit
since
  2.1.0
version
  $Id: FormatterElement.php 794 2010-06-24 14:16:00Z mrook $

### Properties

`$formatter= 'NULL'`
Default value `NULL` Details

Type

`$outfile= ''`
Details

Type

`$parent= 'NULL'`
Default value `NULL` Details

Type

`$toDir= '.'`
Default value`.`Details

Type

`$type= ''`
Details

Type

`$useFile= 'true'`
Default value `true` Details

Type

### Methods

`getExtension( ) : string`
Returns extension
Returns

Type | Description
--- | ---
string |

`getFormatter( ) : \PHPUnitResultFormatter`
Returns formatter object
Returns

Type | Description
--- | ---
\PHPUnitResultFormatter |

`getOutfile( ) : string`
Returns output filename
Returns

Type | Description
--- | ---
string |

`getToDir( ) : string`
Returns output directory
Returns

Type | Description
--- | ---
string |

`getUseFile( ) :`
Returns whether to store formatting results in a file
`setClassName( $className ) :`
Loads a specific formatter class
Parameters

Name | Type | Description
--- | --- | ---
$className |  |

`setOutfile( string $outfile ) :`
Sets output filename
Parameters

Name | Type | Description
--- | --- | ---
$outfile | string |

`setParent( \Task $parent ) :`
Sets parent task
Parameters

Name | Type | Description
--- | --- | ---
$parent | \Task | Calling Task

`setToDir( string $toDir ) :`
Sets output directory
Parameters

Name | Type | Description
--- | --- | ---
$toDir | string |

`setType( string $type ) :`
Loads a specific formatter type
Parameters

Name | Type | Description
--- | --- | ---
$type | string |

`setUseFile( $useFile ) :`
Sets whether to store formatting results in a file
Parameters

Name | Type | Description
--- | --- | ---
$useFile |  |

Documentation was generated by DocBlox 0.13.1.